## InfdProgressRequest InfdProgressRequest — Watch progress of node exploration |

## Stability Level

Unstable, unless otherwise indicated

## Functions

void | infd_progress_request_initiated ()
void | infd_progress_request_progress ()

## Properties

guint | current | Read
guint | total | Read

## Types and Values

struct | InfdProgressRequest
struct | InfdProgressRequestClass

## Object Hierarchy

        GObject
        ╰── InfdRequest
            ╰── InfdProgressRequest

## Implemented Interfaces

InfdProgressRequest implements InfRequest.

## Includes

    #include <libinfinity/server/infd-progress-request.h>

## Description

This class represents a request which consists of multiple steps and for which progress on the overall operation is reported.

## Functions

### infd_progress_request_initiated ()

    void
    infd_progress_request_initiated (InfdProgressRequest *request,
                                     guint total);

Initiates the request. A progress request is considered initiated as soon as the total number of operations is known.

#### Parameters

request | A InfdProgressRequest. |
total | The total number of operations. |

### infd_progress_request_progress ()

    void
    infd_progress_request_progress (InfdProgressRequest *request);

Indicates that one more operation has been finished and changes the “current” property accordingly.

#### Parameters

request | A InfdProgressRequest. |

## Types and Values

### struct InfdProgressRequest

    struct InfdProgressRequest;

InfdProgressRequest is an opaque data type. You should only access it via the public API functions.

### struct InfdProgressRequestClass

    struct InfdProgressRequestClass {
    };

This structure does not contain any public fields.

## Property Details

### The `“current”` property

      “current”                  guint

The current number of finished operations.

Flags: Read

Default value: 0

### The `“total”` property

      “total”                    guint

The total number of operations.

Flags: Read

Default value: 0

## See Also

InfRequest, InfdRequest, InfdDirectory